From: Tom de Vries <tdevries@suse.de>
To: gdb-patches@sourceware.org
Subject: [PATCH v2 2/5] [gdb/testsuite] Clean up gdb/contrib/cc-with-tweaks.sh
Date: Thu, 13 Jun 2024 17:12:38 +0200 [thread overview]
Message-ID: <20240613151241.8144-2-tdevries@suse.de> (raw)
In-Reply-To: <20240613151241.8144-1-tdevries@suse.de>
Fix shellcheck warnings in script gdb/contrib/cc-with-tweaks.sh.
Tested on x86_64-linux.
---
gdb/contrib/cc-with-tweaks.sh | 33 +++++++++++++++++++--------------
1 file changed, 19 insertions(+), 14 deletions(-)
diff --git a/gdb/contrib/cc-with-tweaks.sh b/gdb/contrib/cc-with-tweaks.sh
index f760bd7c0a1..9d9c19c4430 100755
--- a/gdb/contrib/cc-with-tweaks.sh
+++ b/gdb/contrib/cc-with-tweaks.sh
@@ -50,7 +50,7 @@
# If nothing is given, no changes are made
myname=cc-with-tweaks.sh
-mydir=`dirname "$0"`
+mydir=$(dirname "$0")
if [ -z "$GDB" ]
then
@@ -112,7 +112,7 @@ if [ "$want_index" = true ]
then
if [ -z "$GDB_ADD_INDEX" ]
then
- if [ -f $mydir/gdb-add-index.sh ]
+ if [ -f "$mydir/gdb-add-index.sh" ]
then
GDB_ADD_INDEX="$mydir/gdb-add-index.sh"
else
@@ -200,7 +200,7 @@ if [ "$want_index" = true ]; then
cp "$f" "$tmpdir"
done
- tmpfile="$tmpdir/$(basename $output_file)"
+ tmpfile=$tmpdir/$(basename "$output_file")
# Filter out these messages which would stop dejagnu testcase run:
# echo "$myname: No index was created for $file" 1>&2
# echo "$myname: [Was there no debuginfo? Was there already an index?]" 1>&2
@@ -209,7 +209,7 @@ if [ "$want_index" = true ]; then
rc=${PIPESTATUS[0]}
mv "$tmpfile" "$output_file"
rm -f "$tmpdir"/*.dwo
- [ $rc != 0 ] && exit $rc
+ [ "$rc" != 0 ] && exit "$rc"
fi
if [ "$want_index_cache" = true ]; then
@@ -268,9 +268,9 @@ elif [ "$want_multi" = true ]; then
# new file in case dwz fails.
rm -f "$dwz_file"
- cp $output_file ${output_file}.alt
- $DWZ -m "$dwz_file" "$output_file" ${output_file}.alt > /dev/null
- rm -f ${output_file}.alt
+ cp "$output_file" "${output_file}.alt"
+ $DWZ -m "$dwz_file" "$output_file" "${output_file}.alt" > /dev/null
+ rm -f "${output_file}.alt"
# Validate dwz's work by checking if the expected output file exists.
if [ ! -f "$dwz_file" ]; then
@@ -280,14 +280,19 @@ elif [ "$want_multi" = true ]; then
fi
if [ "$want_dwp" = true ]; then
- dwo_files=$($READELF -wi "${output_file}" | grep _dwo_name | \
- sed -e 's/^.*: //' | sort | uniq)
+ mapfile -t dwo_files \
+ < \
+ <($READELF -wi "${output_file}" \
+ | grep _dwo_name \
+ | sed -e 's/^.*: //' \
+ | sort \
+ | uniq)
rc=0
- if [ -n "$dwo_files" ]; then
- $DWP -o "${output_file}.dwp" ${dwo_files} > /dev/null
+ if [ ${#dwo_files[@]} -ne 0 ]; then
+ $DWP -o "${output_file}.dwp" "${dwo_files[@]}" > /dev/null
rc=$?
[ $rc != 0 ] && exit $rc
- rm -f ${dwo_files}
+ rm -f "${dwo_files[@]}"
fi
fi
@@ -322,9 +327,9 @@ if [ "$want_gnu_debuglink" = true ]; then
# .gnu_debuglink to debug_file.
$OBJCOPY --add-gnu-debuglink="$link" "${stripped_file}" \
"${output_file}"
- rc=$?
- [ $rc != 0 ] && exit $rc
)
+ rc=$?
+ [ $rc != 0 ] && exit $rc
fi
exit $rc
--
2.35.3
next prev parent reply other threads:[~2024-06-13 15:12 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-13 15:12 [PATCH v2 1/5] [gdb/testsuite] Clean up gdb/contrib/expect-read1.sh Tom de Vries
2024-06-13 15:12 ` Tom de Vries [this message]
2024-06-13 15:12 ` [PATCH v2 3/5] [gdb/testsuite] Clean up formatting in gdb/contrib/cc-with-tweaks.sh Tom de Vries
2024-06-13 15:12 ` [PATCH v2 4/5] [gdb/testsuite] Clean up lib/dg-add-core-file-count.sh Tom de Vries
2024-06-13 15:12 ` [PATCH v2 5/5] [gdb/build] Cleanup gdb/features/feature_to_c.sh Tom de Vries
2024-06-15 18:15 ` Tom Tromey
2024-06-16 7:09 ` Tom de Vries
2024-06-14 18:32 ` [PATCH v2 1/5] [gdb/testsuite] Clean up gdb/contrib/expect-read1.sh Kevin Buettner
2024-06-15 6:11 ` Tom de Vries
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20240613151241.8144-2-tdevries@suse.de \
--to=tdevries@suse.de \
--cc=gdb-patches@sourceware.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox